package com.ahs.flutter.ahs_flutter_router.channel

import com.ahs.flutter.ahs_flutter_router.channel.eventchannel.EventChannelManager
import com.ahs.flutter.ahs_flutter_router.channel.methodchannel.MethodChannelManager
import io.flutter.plugin.common.BinaryMessenger
import java.lang.ref.WeakReference

/**
 * 提供自定义Native 和 Flutter 通信的能力
 */
object FlutterBinaryMessenger {
    lateinit var weakReference: WeakReference<BinaryMessenger>
    fun setBinaryMessenger(binaryMessenger: BinaryMessenger) {
        weakReference= WeakReference(binaryMessenger)
        MethodChannelManager.initMethodChannel()
        EventChannelManager.initEventChannel()
    }
}