import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:ahs_flutter_router/ahs_flutter_router.dart';

void main() {
  const MethodChannel channel = MethodChannel('ahs_flutter_router');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });
}
